Phone Request Code
Start the authentication flow with a phone number. The handler will send a one-time code to the provided phone number which must then be sent to the other phone endpoint to verify the number and validate the account.
Start the authentication flow with a phone number. The handler will send a one-time code to the provided phone number which must then be sent to the other phone endpoint to verify the number and validate the account.
storyden-session<token>invitation_id?stringUnique invitation ID.
xidapplication/json- body
The phone number request payload.
identifier*stringThe desired username to link to the phone number.
phone_number*stringThe phone number to receive the one-time code on.
OK
application/json- response
id*stringcurl -X POST 'https://example.com/api/auth/phone' \ -H 'Content-Type: application/json' \ -d '{ "identifier": "string", "phone_number": "string"}'{ "id": "string"}O Auth User Info GET
Return OpenID Connect UserInfo claims for the account represented by a valid bearer access token. Claims are scope-gated: - `openid` identifies the subject. - `profile` enables profile claims such as display name. - `email` enables email claims when the account has an email address. Storyden accounts do not always have email addresses, so email claims may be absent even when the `email` scope is present.
Phone Submit Code PUT
Complete the phone number authentication flow by submitting the one-time code that was sent to the user's phone.